subroutine DWMalfunction_MotorFailure
    
    use CDrillingConsoleVariables
    use SimulationVariables
    use SimulationVariables
    use CDataDisplayConsole
    use SimulationVariables
    use CHoistingVariables
    use SimulationVariables
    use SimulationVariables !@
    
	IMPLICIT NONE
    
    
    
    
    if (data%State%Drawworks%MotorFaileMalf==1) then
        data%State%Drawworks%Conv_Ratio = 1.0D0
    end if
    
    
    
    
END subroutine